/*
 * SDG Rate Windows 7 Gadget
 * http://mmahgoub.com/
 *
 * Copyright (c) 2009 Mohammed Mahgoub El-Hussein
 * All rights reserved.
 *
 * Date: 23-09-2010
 */

// Delegate for the settings closing event. 
System.Gadget.onSettingsClosing = SettingsClosing;



function LoadSettings()
{
    var slot01 = System.Gadget.Settings.readString("slot01_val");
	var slot02 = System.Gadget.Settings.readString("slot02_val");
	var slot03 = System.Gadget.Settings.readString("slot03_val");
	var slot04 = System.Gadget.Settings.readString("slot04_val");
	
    
    if (String(slot01) != "")
    {
        $("select#slot1Sel option[value='"+slot01+"']").attr("selected", "selected");
    }
    if (String(slot02) != "")
    {
        $("select#slot2Sel option[value='"+slot02+"']").attr("selected", "selected");
    }
    if (String(slot03) != "")
    {
        $("select#slot3Sel option[value='"+slot03+"']").attr("selected", "selected");
    }
    if (String(slot04) != "")
    {
        $("select#slot4Sel option[value='"+slot04+"']").attr("selected", "selected");
    }		

}

// --------------------------------------------------------------------
// Handle the Settings dialog closing event.
// Parameters:
// event - event arguments.
// --------------------------------------------------------------------
function SettingsClosing(event)
{
    // Save the settings if the user clicked OK.
    if (event.closeAction == event.Action.commit)
    {
        System.Gadget.Settings.write("slot01_val", slot1.value);
		System.Gadget.Settings.write("slot02_val", slot2.value);
		System.Gadget.Settings.write("slot03_val", slot3.value);
		System.Gadget.Settings.write("slot04_val", slot4.value);
    }
    // Allow the Settings dialog to close.
    event.cancel = false;
}